Bug 653730 - SELinux is preventing /usr/bin/xauth from unlink access on the file .Xauthority.
Summary: SELinux is preventing /usr/bin/xauth from unlink access on the file .Xauthority.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:52c547e9dd3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-16 01:58 UTC by Antonio A. Olivares
Modified: 2011-10-11 00:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-16 10:25:03 UTC
Type: ---


Attachments (Terms of Use)

Description Antonio A. Olivares 2010-11-16 01:58:55 UTC
SELinux is preventing /usr/bin/xauth from unlink access on the file .Xauthority.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you want to allow xauth to have unlink access on the .Xauthority file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep /usr/bin/xauth /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023
Target Context                system_u:object_r:xdm_home_t:s0
Target Objects                .Xauthority [ file ]
Source                        xauth
Source Path                   /usr/bin/xauth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-xauth-1.0.2-8.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.7-9.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.35.6-48.fc14.x86_64 #1 SMP Fri Oct 22 15:36:08
                              UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Wed 03 Nov 2010 05:38:15 PM CDT
Last Seen                     Wed 03 Nov 2010 05:38:15 PM CDT
Local ID                      68442dff-0f04-40d7-9a97-bc28357835a3

Raw Audit Messages
type=AVC msg=audit(1288823895.470:66): avc:  denied  { unlink } for  pid=1541 comm="xauth" name=".Xauthority" dev=dm-2 ino=131127 scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xdm_home_t:s0 tclass=file

xauth,xauth_t,xdm_home_t,file,unlink
type=SYSCALL msg=audit(1288823895.470:66): arch=x86_64 syscall=unlink success=yes exit=0 a0=6b5010 a1=0 a2=71 a3=1 items=0 ppid=1530 pid=1541 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=pts1 ses=2 comm=xauth exe=/usr/bin/xauth subj=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 key=(null)
xauth,xauth_t,xdm_home_t,file,unlink

#============= xauth_t ==============
allow xauth_t xdm_home_t:file unlink;

Comment 1 Miroslav Grepl 2010-11-16 10:25:03 UTC
Ok, it really looks your home directory is mislabeled.

restorecon -R -v ~/


Note You need to log in before you can comment on or make changes to this bug.